Name:          opam
Version:       2.0.5
Release:       1mamba
Summary:       opam is a source-based package manager for OCaml
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://opam.ocaml.org
## GITSOURCE https://github.com/ocaml/opam.git 2.0.4
Source:        https://github.com/ocaml/opam.git/%{version}/opam-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-ENDcd 
BuildRequires: ocaml
BuildRequires: ocaml-re
BuildRequires: ocaml-compiler-libs
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
opam is a source-based package manager. It supports multiple simultaneous compiler installations, flexible package constraints, and a Git-friendly development workflow.

%debug_package

%prep
%setup -q
# 2.0.4: fix blocking error in install due just to dune warnings
sed -i "s|; false ;|; true ;|" doc/Makefile

%build
%configure
   
make lib-ext all -j1 \
  OCAMLC='ocamlc -unsafe-string' \
  OCAMLOPT='ocamlopt -unsafe-string'

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d %{buildroot}%{_docdir}
mv %{buildroot}/usr/doc/opam-installer %{buildroot}%{_docdir}/opam
rmdir %{buildroot}/usr/doc
  
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/opam
%{_bindir}/opam-installer
%dir %{_prefix}/lib/opam-installer
%{_prefix}/lib/opam-installer/*
%dir %{_datadir}/doc/opam
%{_datadir}/doc/opam/*
%{_mandir}/man1/opam*.1*
%doc AUTHORS LICENSE

%changelog
* Mon Jul 29 2019 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Sun May 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- package created using the webbuild interface
